---
title: Element.getAnimations()
slug: Web/API/Element/getAnimations
tags:
  - API
  - Animatable
  - CSS
  - CSS Animations
  - CSS Transitions
  - Element
  - Experimental
  - Method
  - Reference
  - Transitions
  - Web Animations
  - getAnimations
  - waapi
  - web animations api
---
<div>{{ SeeCompatTable() }}{{APIRef("Web Animations")}}</div>

<p>The <code>getAnimations()</code> method of the {{domxref("Element")}} interface (specified on the <code>Animatable</code> mixin) returns an array of all {{domxref("Animation")}} objects affecting this element or which are scheduled to do so in future. It can optionally return {{domxref("Animation")}} objects for descendant elements too.</p>

<div class="notecard note">
<p><strong>Note</strong>: This array includes <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a>, <a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS Transitions</a>, and <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>animations</em> = <em>Element</em>.getAnimations(<em>options</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>options {{optional_inline}}</code></dt>
 <dd>An options object containing the following property:</dd>
 <dd>
 <dl>
  <dt><code>subtree</code></dt>
  <dd>A boolean value which, if <code>true</code>, causes animations that target descendants of <em>Element</em> to be returned as well. This includes animations that target any CSS <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-elements</a> attached to <em>Element</em> or one of its descendents. Defaults to <code>false</code>.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref("Array")}} of {{domxref("Animation")}} objects, each representing an animation currently targetting the {{domxref("Element")}} on which this method is called, or one of its descendant elements if <code>{ subtree: true }</code> is specified.</p>

<h2 id="Examples">Examples</h2>

<p>The following code snippet will wait for all animations on <code>elem</code> and its descendants to finish before removing the element from the document.</p>

<pre class="brush: js">Promise.all(
  elem.getAnimations({ subtree: true })
    .map(animation =&gt; animation.finished)
).then(() =&gt; elem.remove());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animatable-getanimations', 'Animatable.getAnimations()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.getAnimations")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Transitions">CSS Transitions</a></li>
 <li>{{domxref("Document.getAnimations()")}} - Fetch all animations in the document</li>
 <li>{{domxref("Animation")}}</li>
</ul>
